Job Groups
Get Job Group
Retrieve a single job group by QRN. A fully-terminal group is lazily resolved before it is returned.
Authorizations
X-API-KEYstringheaderrequiredAuthenticate requests using an API key linked to your qBraid account. Obtain your key by registering or logging in at account.qbraid.com.
Path Parameters
group_qrnstringrequiredThe group qrn (qBraid Resource Name).
Response
200Success.
successbooleanrequireddataobjectrequired404Group not found.
curl --request GET \
--url https://api-v2.qbraid.com/api/v1/jobs/group/{group_qrn} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api-v2.qbraid.com/api/v1/jobs/group/{group_qrn}"
headers = {
"X-API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.json())const url = "https://api-v2.qbraid.com/api/v1/jobs/group/{group_qrn}";
const options = {
method: "GET",
headers: {"X-API-KEY":"<api-key>"},
};
const response = await fetch(url, options);
console.log(await response.json());{
"success": true,
"data": {
"_id": "<string>",
"groupJobQrn": "group:a1b2-664f0c1e2a3b4c5d6e7f8090",
"name": "<string>",
"status": "OPEN",
"organizationUserId": "<string>",
"jobCount": 123,
"completedCount": 123,
"failedCount": 123,
"cancelledCount": 123,
"totalEstimatedCost": 123,
"totalCost": 123,
"maxTTL": 123,
"timeStamps": {
"createdAt": "2024-01-01T00:00:00Z",
"endedAt": "2024-01-01T00:00:00Z",
"executionDuration": 123
},
"tags": {},
"metadata": {}
}
}{
"success": false,
"message": "<string>",
"error": {
"message": "<string>",
"code": "<string>"
}
}GET
Get a job group
Get a job group
Response
Fill in the request and press Send to see the live response.Was this page helpful?
Thanks for your feedback.

